"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const tough = require("tough-cookie");
const fs = require("fs-extra");
function parseEditThisCookieJSON(filePath) {
    return __awaiter(this, void 0, void 0, function* () {
        const jsonStr = yield fs.readFile(filePath, 'utf8');
        const data = JSON.parse(jsonStr);
        const mapped = data.map((entity) => {
            return new tough.Cookie({
                expires: new Date(entity.expirationDate * 1000),
                domain: entity.domain.replace(/^\./, ''),
                hostOnly: entity.hostOnly,
                httpOnly: entity.hostOnly,
                key: entity.name,
                path: entity.path,
                secure: entity.secure,
                value: entity.value,
            });
        });
        return tough.CookieJar.fromJSON(JSON.stringify({
            version: 'tough-cookie@3.0.0',
            storeType: 'MemoryCookieStore',
            rejectPublicSuffixes: true,
            cookies: mapped,
        }));
    });
}
exports.default = parseEditThisCookieJSON;
